import { PageSession } from "../collector/page-session.js";
import { CollectorOutput } from "../collector/output.js";
declare class Inspector {
    private output;
    private pageSession;
    constructor(pageSession: PageSession, output: CollectorOutput);
    run(): any;
    private inspectCookies;
    private inspectLocalStorage;
    private inspectBeacons;
    private inspectHosts;
}
export default Inspector;
